/**
 * Get effective connection type.
 * https://developer.mozilla.org/en-US/docs/Web/API/NetworkInformation
 *
 * @return {EffectiveConnectionType | null}
 */
export function getEffectiveConnectionType(): "slow-2g" | "2g" | "3g" | "4g" | null;
/**
 * Get device memory in GB rounded to 2.
 * https://developer.mozilla.org/en-US/docs/Web/API/Navigator/deviceMemory
 *
 * @return {number | null}
 */
export function getDeviceMemory(): number | null;
/**
 * Get CPU cores.
 *
 * @return {number | null}
 */
export function getHardwareConcurrency(): number | null;
/**
 * Get current url.
 *
 * @return {string | null}
 */
export function getUrl(): string | null;
/**
 * Get user-agent header.
 *
 * @return {string | null}
 */
export function getUserAgent(): string | null;
export type EffectiveConnectionType = "slow-2g" | "2g" | "3g" | "4g";
export type NetworkInformation = {
    effectiveType: "slow-2g" | "2g" | "3g" | "4g";
};
