/**
 * Get Time to First Byte.
 * Learn more: https://web.dev/custom-metrics/#navigation-timing-api
 *
 * @return {Promise<number | null>}
 */
export function getTimeToFirstByte(): Promise<number | null>;
/**
 * Get server timing.
 * Learn more: https://web.dev/custom-metrics/#server-timing-api
 *
 * @return {Promise<object[] | null>}
 */
export function getServerTiming(): Promise<any[] | null>;
/**
 * Get `DOMContentLoaded` event.
 * Learn more: https://developer.mozilla.org/en-US/docs/Web/API/Window/DOMContentLoaded_event
 *
 * @param {boolean} [isAfterPromise]
 * @return {Promise<number | null>}
 */
export function getDomContentLoaded(isAfterPromise?: boolean | undefined): Promise<number | null>;
/**
 * Get `loadEventEnd` event.
 * Learn more: https://developer.mozilla.org/en-US/docs/Web/API/PerformanceNavigationTiming/loadEventEnd
 *
 * @param {boolean} [isAfterPromise]
 * @return {Promise<number | null>}
 */
export function getOnLoad(isAfterPromise?: boolean | undefined): Promise<number | null>;
export function getNavigation(): Promise<any>;
