export namespace metrics {
    /**
     * Subscribe on the `metric`.
     *
     * @param {MetricType} metricType
     * @param {PerformanceMetricCallback} cb
     */
    export function on(metricType: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls", cb: (metric: number | null) => any): {
        on(metricType: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls", cb: (metric: number | null) => any): any;
    };
}
export function getFirstContentfulPaint(): Promise<number | null>;
export function getFirstInputDelay(): Promise<number | null>;
export function getLargestContentfulPaint(): Promise<number | null>;
export function getCumulativeLayoutShift(): Promise<number | null>;
export type StrictMetricType = "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift";
export type MetricType = "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls";
export type PerformanceMetricCallback = (metric: number | null) => any;
